<?php
/**
* タスクを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
interface ITask
{
	/**
	 * タスク名
	 */
	public function getTaskName();

	/**
	 * タスクを初期化する
	 */
	public function init( Config $config );

	/**
	 * イベントを処理する
	 */
	public function processEvent( IEvent $event, ProcedureContext $context );

}
